import AbstractAuthentifiedView from "./AbstractAuthentifiedView.js";

export default class extends AbstractAuthentifiedView {
    constructor(params) {
        super(params, "Search");
    }

	async postInit() {
		let users = ["cramptéMan", "cacaMan", "chatteWomen"]

		let list_users = document.getElementById('list_users');
		for (const user of users) {
			var new_user = document.createElement("li");
			new_user.appendChild(document.createTextNode(user));
			list_users.appendChild(new_user);
		}
		console.log(list_users);
	}

	async leavePage() {
	}

    async getHtml() {
        return `
			<h1>Search</h1>

			<form id="form">
				<input type="text" name="message" placeholder="user name to crampte"/>
			</form>

			<div id="users">
				<ul id="list_users">
				</ul>
			</div>

        `;
    }
}
